// --- Parameter definition file ---
// (All times are in milliseconds)

//
// Physical layout
//

// Number of train stations (input AND output bins)
#define NUM_STATIONS 4

// Time to check an input bin or dump at an output bin (ensure it is
// the max worst case of both of these)
#define UNIT_TRANSIT_TIME 2500

// Time to travel from one station to an adjacent station (assumed to be
// additive, i.e. travel to a station 2 units away takes 2*CHECK_TIME)
#define CHECK_TIME 2500

//
// Real-time problem definition
//

// Check periods for each station (index 0 corresponds to output bin, and so is ignored)
time_t sttn_period[] = {0, 30000, 60000, 60000};
// Required object delivery relative deadlines (starts when an object is picked up) (again, index 0 is ignored)
time_t sttn_obj_deadline[] = {0, 12000, 16000, 20000};

//
// Scheduler parameters
//

// The TBS size (U_s) to be used by the system
#define TBS_SIZE (TBS_MAXSIZE/2)	

// Uncomment to turn on advanced TBS with WCET reduction
#define ADV_TBS

// Uncomment to turn on advanced EDF with preemption emulation
//#define ADV_EDF


